#include <iostream>
using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(); cout.tie();
	int n, k, x;
	cin >> n >> k >> x;
	int a[n];
	for(int i = 0; i < n; i++){
		cin >> a[i];
	}
	
	for (int i = 0; i < n-k+1; i++){
		int aura = 0;
		int c = 1;
		for(int j = i; j < i+k; j++){
			aura+=c*a[j];
			if (c+1<=x){
				c++;
			}
		}
		cout << aura << '\n';
	}
	
	


return 0;
}